
@import url('https://fonts.googleapis.com/css2?family=Fredoka+One&display=swap');

*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;

}
body{
    font-family: 'Fredoka One', cursive;
    background-image: linear-gradient(to right,#e31a35, #9837cd);
     color: white;

}

.container{
    /* border: 1px solid black; */
    width: 95%;
    margin: auto;
}

.nav{
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    width: 100%;
    margin: 25px 0;

}

.user-input{
    /* border: 1px solid black; */
    width: 350px;
    text-align: center;
}

.user-input input{
    width: 80%;
    outline: none;
    padding: 8px;
    border: 1px solid lightgray;
    border-top-left-radius: 5px;
    -webkit-transition: all 0.30s ease-in-out;
    -moz-transition: all 0.30s ease-in-out;
    -ms-transition: all 0.30s ease-in-out;
    -o-transition: all 0.30s ease-in-out;
    transition: all 0.30s ease-in-out;
    

}

.user-input input:focus{
    box-shadow: 0 0 5px #e22865;
    border: 1px solid #e22865;

}
.user-input button{
    cursor: pointer;
    padding: 8px;
    width: fit-content;
    transition: 1s;
    outline: none;
    background-color: lightgray;
    border: 1px solid lightgray;
    border-top-right-radius: 5px;
    border-bottom-right-radius: 5px;

}

.user-input button:hover{
    background-color: transparent;
    color: white;

}

.to-do-items{
    width: 500px;
    margin: auto;

}

.item{
    background-color: white;
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: auto;
    border-radius:2px ;
    padding: 16px;
    color: #454545;
    margin-top:10px;
    font-size: 1rem;
    text-transform: uppercase;
    -webkit-transition: all 0.30s ease-in-out;
    -moz-transition: all 0.30s ease-in-out;
    -ms-transition: all 0.30s ease-in-out;
    -o-transition: all 0.30s ease-in-out;
    transition: all 0.30s ease-in-out;

}

.item:hover{
    box-shadow: 0 0 20px #e22865;
    border: 1px solid #e22865;

}

.item i{
    cursor: pointer;
    margin: 0 5px;

}
@media(max-width: 768px){
    .nav{
        align-items: center;
        flex-direction: column;
    }
    .nav h2{
        margin: 10px 0;
    }

    .user-input{
        width: 100%;
    }
    .to-do-items{
        width: 100%;
    }
}

@media(max-width:480px){
    .user-input input{
        width: 74%;
    }
}
@media(max-width:320px){
    .user-input input{
        width: 60%;
    }
}